commit:     fd6aa0ce70dbee30e03abe7f5a4d54789e86c1db
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  3 18:37:38 2018 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Jan  3 18:37:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd6aa0ce

net-mail/vchkuser: Port to EAPI 6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-mail/vchkuser/vchkuser-0.4.ebuild | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/net-mail/vchkuser/vchkuser-0.4.ebuild 
b/net-mail/vchkuser/vchkuser-0.4.ebuild
index f007e274eae..93faf978ed0 100644
--- a/net-mail/vchkuser/vchkuser-0.4.ebuild
+++ b/net-mail/vchkuser/vchkuser-0.4.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="3"
+EAPI=6
 
 inherit autotools qmail
 
@@ -14,13 +14,18 @@ SLOT="0"
 KEYWORDS="amd64 x86"
 IUSE="debug"
 
-DEPEND="net-mail/vpopmail
-       || ( mail-mta/netqmail[qmail-spp] mail-mta/qmail-ldap[qmail-spp] )"
+DEPEND="
+       net-mail/vpopmail
+       || (
+               mail-mta/netqmail[qmail-spp]
+               mail-mta/qmail-ldap[qmail-spp]
+       )"
 RDEPEND=""
 
 S="${WORKDIR}/hollow-${PN}-8a048f7"
 
 src_prepare() {
+       default
        eautoreconf
 }
 
@@ -29,12 +34,13 @@ src_configure() {
                $(use_enable debug) \
                --with-vpopuser=vpopmail \
                --with-qmailgroup=nofiles \
-               --with-vpopmaildir=/var/vpopmail \
+               --with-vpopmaildir="${EPREFIX}"/var/vpopmail \
                --with-qmaildir=${QMAIL_HOME}
 }
 
 src_install() {
-       emake DESTDIR="${D}" install || die "emake failed"
+       default
+
        fowners vpopmail:nofiles "${QMAIL_HOME}"/plugins/vchkuser
        fperms 4750 "${QMAIL_HOME}"/plugins/vchkuser
 }

Reply via email to